DefaultPropertiesTester (jTDS API)
Date: 2013-06-08

net.sourceforge.jtds.jdbc

## Class DefaultPropertiesTester

- java.lang.Object
- - net.sourceforge.jtds.jdbc.DefaultPropertiesTester

-     public abstract class DefaultPropertiesTester
      extends java.lang.Object

  Abstract class used to test the default properties set on a variety of methods.

  Implements the Command pattern.
  Version:
    $Id: DefaultPropertiesTester.java,v 1.3 2004-08-24 17:45:07 bheineman Exp $
  Author:
    David D. Kilzer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultPropertiesTester()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `assertDefaultProperty(java.lang.String message, java.lang.String url, java.util.Properties properties, java.lang.String fieldName, java.lang.String key, java.lang.String expected)` Asserts that a default property is set properly.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultPropertiesTester

          public DefaultPropertiesTester()

  - ### Method Detail

    - #### assertDefaultProperty

          public abstract void assertDefaultProperty(java.lang.String message,
                                   java.lang.String url,
                                   java.util.Properties properties,
                                   java.lang.String fieldName,
                                   java.lang.String key,
                                   java.lang.String expected)

      Asserts that a default property is set properly.
      Parameters:
        `message` - The message to display if the default property is not set.
        `url` - The JDBC url.
        `properties` - The initial properties set before testing the method.
        `fieldName` - The field name of the object if using reflection.
        `key` - The message key used to obtain the property name.
        `expected` - The expected value.

Generated on June 8 2013